#include <png.h>

#include <stdio.h>

int main(int argc, char** argv)
{
	if (argc!=2)
	{
		return -1;
	}
	
    FILE* fp = fopen(argv[1], "rb");
	if (!fp)
	{
		fprintf(stderr,"File not found\n");
		return -2;
	}
	
	char header[8];
	fread(header, 1, 8, fp);
	int is_png = !png_sig_cmp(header, 0, 8);
	if (!is_png)
	{
		fprintf(stderr,"Your file is NOT a PNG file\n");
		return -3;
	}
	fprintf(stderr,"Your file is a PNG file\n");
	return 0;
}
